Loading...
Searching...
No Matches
Opm::PvsIndices< TypeTag, PVOffset > Class Template Reference

The indices for the compositional multi-phase primary variable switching model. More...

`#include <pvsindices.hh>`

Inheritance diagram for Opm::PvsIndices< TypeTag, PVOffset >:

## Static Public Attributes

static constexpr int | numEq = numComponents + EnergyIndices::numEq_
| Number of partial differential equations or primary variables, respectively.
static constexpr int | pressure0Idx = PVOffset + 0
| Index for the pressure of the first phase.
static constexpr int | switch0Idx = PVOffset + 1
| Index of the either the saturation or the mole fraction of the phase with the lowest index.
static constexpr int | conti0EqIdx = PVOffset
| Index of the mass conservation equation for the first component.

## Detailed Description

template<class TypeTag, int PVOffset>
class Opm::PvsIndices< TypeTag, PVOffset >

The indices for the compositional multi-phase primary variable switching model.

Template Parameters

  PVOffset | The first index in a primary variable vector.

The documentation for this class was generated from the following file:

- opm/models/pvs/pvsindices.hh